;/////////////////////////////////////////////////////////
;//		 BOOT   		//
;/////////////////////////////////////////////////////////

	.model	tiny
	.code
	.386
	org	100h
start:
	mov	ah,9				;   
	mov	dx,offset logo
	int	21h
	mov	ax,3D02h			; 
	mov	dx,offset Boot_file		; 
	int	21h
	mov	File_handle,ax			;   
	mov	ah,42h				;   
	mov	bx,File_handle			; 07C00h-100h
	mov	cx,0				;  
	mov	dx,07B00h
	xor	al,al				
	int	21h
	mov	ah,3Fh				;  
	mov	bx,File_handle
	mov	cx,512				; 512 
	mov	dx,offset File_Buffer		; 
	int	21h
Write_boot:
      	mov     ax,0301h			;   BOOT
      	mov     cx,1
      	mov     dx,0
      	mov     bx,offset File_Buffer
      	int     13h
      	jc      Boot_error			;    
	jmp	Boot_done			;  
Boot_Error:	
	dec	Err_numb			;  
	jz	Print_error			;    0,
	jmp	Write_boot			;  
Print_error:					;    
	mov	ah,9
	mov	dx,offset error
	int	21h
	ret
Boot_done:					;  BOOT  
	mov	ah,3Eh				;  
	mov	bx,File_handle
	int	21h
	mov	ah,9				;    
	mov	dx,offset done
	int	21h
	ret
Boot_file	db	"boot.com",0
Logo		db	"Write boot sector...",'$'
Error		db	"Fail.",'$'
Done		db	"Done!",'$'
Err_numb	db	3
File_handle	dw	?
File_Buffer	db	512 dup(?)
	end	start