;---------------------------------------------------------------;
;                 OXYGEN OS - 㧮 ᥪ FAT12      	;
;---------------------------------------------------------------;
;  - প FAT12						;
;  - 㧪  䠩  floppy ᪥			;
;                                                           	;
;          		: Exs42, 2007			;
; http://freeos-project.narod.ru				;
; email:FreeOS_Project@mail.ru					;
;---------------------------------------------------------------;


;-----------------------------------------------------------------------;
;	।   㧪				;
;-----------------------------------------------------------------------;
;      饭							;
; 									;
;    00000h : 0004Fh --------->  BIOS				;
;    00000h : 00050h ---------> ᯮ  ROOT			;
;    00000h : 00210h ---------> ᯮ  FAT			;
;    00000h : 00330h --------->  14,25 			;
;    00000h : 07C00h ---------> 㧮 ᥪ			;
;    00000h : 07E00h ---------> ~32,5    㧮筮 ᥪ	;
;    01000h : 00000h ---------> 576   / ᢮			;
;    0A000h : 00000h --------->  ROM BIOS				;
;-----------------------------------------------------------------------;

	.model	tiny
	.code
	.286
	org	100h
Start:         

	jmp     BeginJMP
	org	07C00h
BeginJMP:
	jmp	Begin
gnOEM       	db "OXYGEN  "           ; OEM ப
gnSectSize  	dw 512                  ;   ᥪ
gnClustSize 	db 1                    ; ஢  
gnRessect   	dw 1                    ; ⢮ १ࢭ ᥪ஢
gnFatCnt    	db 2                    ; ⢮  FAT
gnRootSize  	dw 224                  ;  ୥ ⠫
gnTotalSect 	dw 2880                 ; ᥣ ᥪ஢ ன⢠
gnMedia     	db 0F0h                 ;  ਯ
gnFatSize   	dw 9                    ; ⢮ ᥪ஢  FAT
gnTrackSect 	dw 18                   ; ஢  ஦
gnHeadCnt   	dw 2                    ; ⢮  ன⢠
gnHidenSect 	dd 0                    ; ⢮  ᥪ஢
gnHugeSect  	dd 0                    ; ᫨ gnTotalSect ࠢ 0  祭
                                       	; ࠢ  ᥪ஢
gnBootDrv   	db 0                    ;  ன⢠
gnReserv    	db 0                    ;  ᯮ
gnBootSign  	db 29h                  ;  ७
gnVolID     	dd 0				; ਩  ⮬
gnVoLabel  		db "OXYGEN_OS  "        ; ⪠ ⮬
gnFSType		db "FAT12   "           ;  䠩 ⥬

AbsSectNum      	dw      0
AbsHeadNum		dw      0
Logo			db	'Loading...',0
Error_read		db	0Ah,0Dh,'Disk error! Press ENTER to try again.',0
Kernel_Name		db	'KERNEL  COM'
Kernel_not_found	db	0Ah,0Dh,'Kernel not found!',0
KernelSeg		equ 	01000h

Begin:
	cli
	xor	ax,ax			;⮢ ᥣ ॣ
	mov	es,ax
	mov	ds,ax
	mov	ss,ax
	mov	sp,0FFFFh
	sti

	mov	ax,3			; ⨬ ࠭
	int	10h
	mov	di,offset Logo		; 騬  ⮬   㦠
	call	print

	push	0210h			;    FAT		
	pop	es

     	mov  	dx,1			; 砫 ᥪ FAT
	xor	di,di
ReadFat1:
	push	dx
	push	di
	push	es
     	call 	ReadSect		; ⠥...
	pop	es
	pop	di
	pop	dx
     	add 	di,512
     	inc	dx
     	cmp 	dx,10			; ᫨ ⠫ 10 ᥪ஢,
     	jne 	ReadFat1		; 

	push	0050h			;     ROOT
	pop	es

      	mov  	dx,19             ; 砫 ᥪ ROOT'a
	xor	di,di
ReadRoot1:
	push	dx
	push	di
	push	es
     	call 	ReadSect          ; ⥭ ᥪ
	pop	es
	pop	di
	pop	dx
     	add  	di,512
	inc  	dx
	cmp  	dx,33			; ᫨ ⠫  33 ᥪ஢
	jne  	ReadRoot1		;  

	xor	di,di			;   䠩  ROOT
F_file:
	push	di
	xor	si,si
	mov	cx,11			;ࠢ  䠩
A_m_l:
	mov	al,byte ptr cs:[Kernel_Name+si]
	cmp	byte ptr es:[di],al
	je	Aml_cont
	pop	di
	add	di,32
	jmp	F_file
Aml_cont:
	cmp	di,14*512		; ஢ਬ    ᬮ५
	jg	F_next_name		; ᫨ , 
	inc	di
	inc	si
	loop	A_m_l

	pop	di
	mov	dx,word ptr es:[di+1Ah] ; ࠭塞   䠩
	jmp	Read_Kernel		; 稭  ⠫ ᥪ஢
F_next_name:
	mov	di,offset Kernel_not_found;  ⮬    
	call	print		
	jmp	$
Read_Kernel:

; ⠥ 
      	mov     ax,KernelSeg	;  
     	mov     es,ax		; 
      	mov     di,100h         ; 窠 室   KernelSeg:100h
Start_read_next:
	push	dx
	push	di
	push	es
      	add 	dx,31             ; ८ࠧ㥬   ᥪ
      	Call 	ReadSect          ; ⥭ ᥪ
	pop	es
	pop	di
	pop	dx

    	push 	di                ; 砥 ᫥騩 ᥪ ᫥ DX
	push	es			; ࠭塞 ॣ
	push	0210h			;   FAT
	pop	es
	xor 	di,di
	mov  	ax,dx
      	mov  	bx,ax
      	mov  	cx,3
      	mul  	cx
      	shr  	ax,1
      	add  	di,ax
      	mov  	dx,word ptr es:[di]
      	and  	bx,1
      	je   	chrl1             ; ᫨   
      	shr  	dx,4
      	jmp  	chrl2
chrl1:	and  	dx,0FFFh
chrl2:
	pop	es
      	pop	di                ; ⠭ ॣ
      	cmp 	dx,0FFFh
      	je  	End_Begin         ; FFF - ᫥ 
      	add 	di,512
	jmp	Start_read_next	; ⠥ ᫥騩 ᥪ
End_Begin:				; ⠫ 
		db	0EAh		; । ࠢ
		dw	0000h		; 
		dw	KernelSeg

;-----------------------------------------------------------------------;
;	楤 ⥭ ᮫⭮ ᥪ				;
;-----------------------------------------------------------------------;
;-->ࠬ:								;
;	室:								;
;		DX -  ᥪ					;
;		ES:DI -   ⠭ 			;
;	室:								;
;		ES:DI -  ᮤন 512 ⠭ 		;
;-----------------------------------------------------------------------;
ReadSect	proc	

	xor	si,si
Read_Again:
	push	si
      	push	di 
      	push	es
; 砫  ᥪ/஦/
      	push    cs
      	pop     ds
      	mov     cx,[gnTrackSect]
      	mov     si,dx
; tmp=(Sect/Sectors);
      	mov     ax,si
      	xor     dx,dx
      	div     cx
      	mov     di,ax
; Sec=Sect-(tmp*Sectors)+1;
      	mov     ax,di
      	imul    cx
      	mov     dx,si
      	sub     dx,ax
      	inc     dx
      	mov     [AbsSectNum],dx
; Hea=tmp & 1;
      	mov     ax,di
      	and     ax,1
      	mov     [AbsHeadNum],ax
; Trk=(Sect-(Hea*Sectors)-(Sec-1))/(Sectors*2);
      	imul    cx
      	push    ax
      	mov     ax,si
      	pop     dx
      	sub     ax,dx
      	mov     dx,[AbsSectNum]
      	dec     dx
      	sub     ax,dx
      	mov     dx,cx
      	shl     dx,1
      	push    ax
      	push    dx
      	xor     dx,dx
      	pop     bx
      	pop     ax
      	div     bx           ; AX = AbsTrackNum
;  ⮢
      	mov     cx,ax
      	mov     al,cl
      	shr     cx,2
      	and     cl,0C0h
      	mov     ch,al
      	and     cx,0FFC0h
      	mov     ax,[AbsSectNum]
      	or      cl,al          
      	pop     es 
      	pop	bx             	; ES:BX = 㤠 뢠
      	mov     dx,[AbsHeadNum]
      	mov     dh,dl           ;  
      	mov     dl,0            ;  ᪠ 0 = A
      	mov     al,1            ; ⢮ 뢠 ᥪ஢
      	mov     ah,2            ;  㭪樨
      	int     13h
      	jae 	Exit_ReadSect     ; ᫨  訡
	pop	si
      	inc 	si                ;  稪 ⥭
      	cmp 	si,4
      	jne 	Read_Again        ;  ⥭
					; ᫨ ந諠 訡
	mov	di,offset Error_read	;뢮 ᮮ饭  訡
	call	print
Nt_pss:
	mov	ah,0			;   ENTER
	int	16h
	cmp	ah,1Ch
	jne	Nt_pss		; ᫨ 
	xor	si,si
	jmp	Read_Again		; 塞 
Exit_ReadSect:
	pop	si			; ⠭ si
      	ret				; 室
ReadSect	endp


;-----------------------------------------------------------------------;
;	楤 뢮 ப  ࠭				;
;-----------------------------------------------------------------------;
;-->ࠬ:								;
;	室:								;
;		DI -  ப					;
;	室:								;
;									;
;-----------------------------------------------------------------------;
print	proc
	xor	bh,bh
	mov	ah,0Eh
Prt_symb:
	cmp	byte ptr cs:[di],0
	je	exit_print
	mov	al,byte ptr cs:[di]
	int	10h
	inc	di
	jmp	Prt_symb
exit_print:
	ret
print	endp
	db	055h,0AAh
		end 	Start
