;---------------------------------------------------------------;
;                 OXYGEN OS - 窠      			;
;---------------------------------------------------------------;
; : Exs42, 2007						;
; http://freeos-project.narod.ru/ 				;
; email: FreeOS_Project@mail.ru					;                                                           	;
;---------------------------------------------------------------;

	jumps
	.model	tiny
	.code
	.386p
	org	100h
start:
	cli
	mov	ax,cs		;⠢ ᥣ ॣ
        mov     es,ax
        mov     ds,ax
	mov	ss,ax
	mov	sp,0FFFEh
	xor	ax,ax
	sti

	mov	ah,40h
	mov	di,offset P_Dir		;뢮 ਣ襭   
	int	0EFh


;-----------------------------------------------------------------------;
;		  ࠡ⪨   			;
;-----------------------------------------------------------------------;

Key_pressed:
	mov	ah,42h			; ப ᨬ
	mov	di,offset command_line
	int	0EFh

	mov	command_char,ax
	call	Analyse_commands	;஢ 
	mov	ah,40h
	mov	di,offset P_dir		;  
	int	0EFh
	call	Free_command_line
	mov	command_char,0		; ⮬   ப 0
	jmp	Key_pressed



;-----------------------------------------------------------------------;
;		  					;
;-----------------------------------------------------------------------;

Analyse_commands	proc


	mov	si,offset command_line 		;८ࠧ㥬  ᨬ
	mov	cx,command_char			;  ப 
	mov	ah,41h				;
	int	0EFh
Cls_comm:
	mov	cx,3			;⢮ ࠢ ᨬ
	mov	si,offset command_line	;  ப
	mov	di,offset cls_command	;  
	repe	cmpsb			;ࠢ
	jne	Exit_comm		;᫨ ப ࠧ ३  ᫥饬 ࠢ
	jmp	Exit_analyse		;  

Exit_comm:
	mov	cx,4
	mov	si,offset command_line
	mov	di,offset exit_command
	repe	cmpsb
	jne	reboot_comm
	mov	ah,4Ch
	int	21h
;	call	Exit_prog
	jmp	Exit_analyse


reboot_comm:
	mov	cx,6
	mov	si,offset Command_Line
	mov	di,offset reboot_command
	repe	cmpsb
	jne	off_comm
	call	Shell_command_reboot

off_comm:
	mov	cx,3
	mov	si,offset Command_Line
	mov	di,offset off_command
	repe	cmpsb
	jne	dir_comm

	call	Shell_command_off

dir_comm:
	mov	cx,3
	mov	si,offset Command_Line
	mov	di,offset dir_command
	repe	cmpsb
	jne	cd_comm
	call	Shell_command_dir
	jmp	Exit_analyse
cd_comm:
	mov	cx,3
	mov	si,offset Command_Line
	mov	di,offset cd_command
	repe	cmpsb
	jne	run_comm

	call	Shell_command_cd
	jmp	Exit_analyse
run_comm:
	mov	cx,4
	mov	si,offset Command_Line
	mov	di,offset run_command
	repe	cmpsb
	jne	view_date_time_comm

	call	Shell_command_run

view_date_time_comm:
	mov	cx,3
	mov	si,offset Command_Line
	mov	di,offset vdatetime_command
	repe	cmpsb
	jne	setdatetime_comm
	call	Shell_command_vdatetime
	jmp	Exit_analyse

setdatetime_comm:
	mov	cx,3
	mov	si,offset Command_Line
	mov	di,offset sdatetime_command
	repe	cmpsb
	jne	makedir_comm
	call	Shell_command_setdatatime
	jmp	Exit_analyse

makedir_comm:
;	mov	cx,8
;	mov	si,offset Command_Line
;	mov	di,offset makedir_command
;	repe	cmpsb
;	jne	rename_comm
;	mov	ah,0Dh
;	int	0EFh
;	jmp	Exit_analyse
;rename_comm:
;	mov	cx,7
;	mov	si,offset Command_Line
;	mov	di,offset rename_command
;	repe	cmpsb
;	jne	Exit_analyse
;	call	rename_file
;	jmp	Exit_analyse
Exit_analyse:
	ret

include shell\basic_p.asm	;㦥 楤
include	shell\v_d_time.asm	;楤  뢮   ६  ࠭
include	shell\s_d_time.asm	;楤  ⠭   ६
include	shell\off.asm		;楤  몫祭 
include	shell\reboot.asm	;楤  १㧪 
include	shell\dir.asm		;楤  ⮡ࠦ 䠩  ⥪饬 ⠫
include	shell\cd.asm		;楤  ᬥ ⠫
include	shell\run.asm		;楤  㧪  믮 ணࠬ




P_Dir	db	0Dh,0Ah
Dir	db	'A:\>',255 dup(0)	;ப   ⠫
command_char	dw	0
cls_command	db	'CLS'	;᮪ 
exit_command	db	'EXIT'
reboot_command	db	'REBOOT'
off_command	db	'OFF'
dir_command	db	'DIR'
cd_command	db	'CD ',255 dup(?)
run_command	db	'RUN ',13 dup(?)
vdatetime_command	db	'VDT'
sdatetime_command	db	'SDT'
makedir_command	db	'MAKEDIR ',8 dup(?)
rename_command	db	'RENAME ',25 dup(?)

command_line	db	255 dup(?)
Analyse_commands	endp
	end	start